Type to search.

Check component templates

  • HEAD /_component_template/{name}
Auth The Elastic Stack includes Elastic's core products such as Elasticsearch, Kibana, Logstash, and Beats. Availability Generally available since 7.8 This functionality is generally available and ready for production usage. Unless stated otherwise on the page, this functionality is available when your Elastic Stack is deployed on Elastic Cloud Hosted, Elastic Cloud Enterprise, Elastic Cloud on Kubernetes, and self-managed environments. This documentation corresponds to the latest patch available for each minor version. If you're not using the latest patch, check the release notes for changes.

Returns information about whether a particular component template exists.

Required privileges

Cluster privileges monitor manage_index_templates

Path parameters

name union string | string[] required

Comma-separated list of component template names used to limit the request. Wildcard (*) expressions are supported.

Query parameters

master_timeout union oneOf · default: 30s

Period to wait for a connection to the master node. If no response is received before the timeout expires, the request fails and returns an error.

Values: -1 0
local boolean · default: false deprecated

If true, the request retrieves information from the local node only. Defaults to false, which means information is retrieved from the master node.

Response

200 application/json